Bug 38462 - automount eats up 100% of CPU
automount eats up 100% of CPU
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeffrey Moyer
Depends On:
  Show dependency treegraph
Reported: 2001-04-30 17:16 EDT by nessus
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-19 15:41:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description nessus 2001-04-30 17:16:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i686)

I have a dual processor Pentium III.  Since upgrading to RedHat 7.1,
automount will eventually go into a mode where it eats of 100% of one of
the two CPU's as indicated by top and xload.  Despite this, it automounting
still works.

Reproducible: Always
Steps to Reproduce:
1. Find a dual processor Pentium System.
2. Set /etc/auto.master to: /nfs   /etc/auto.nfs
3. Set /etc/auto.nfs to: * -fstype=autofs,-Dhost=&,-Dprefix=/&
4. Set /etc/auto.nfs.sub to: * ${host}:${prefix}/&
5. # service autofs start
6. Wait a few days.

Actual Results:  automount consumes 100% of one of the two CPU's.

Expected Results:  automount should have consumed only a very small
fraction of the CPU's.
Comment 1 Jeffrey Moyer 2004-03-19 15:24:59 EST
Can you give strace output for the offending process?
Comment 2 nessus 2004-03-19 15:35:40 EST
The problem went away, as far as I am aware with Red Hat 8 or 9, so
(1) I no longer have a machine that exhibits the problem, and (2) it
probably is moot now.

Note You need to log in before you can comment on or make changes to this bug.